/*	mendpoints.c - M.A.R-T>Y. C application endpoint constant definitions
	Copyright (C) 2023-2024 hoff.industries

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <https://www.gnu.org/licenses/>. */

#define MENDPOINTS_H

#define ALARM_EPT_ACT			0
#define ALARM_EPT_DAC			1
#define ALARM_EPT_SUB			2

#define RADIO_EPT_LOW			0
#define RADIO_EPT_NORMAL		1
#define RADIO_EPT_CRITICAL		2

#define SWIPER_EPT_CYCLE		0

#define VOODOO_EPT_SLEEP		0
#define VOODOO_EPT_SHUTDOWN		1
#define VOODOO_EPT_WAKE			2

#define MARQTT_EPT_SUBSCRIBE	0
#define MARQTT_EPT_UNSUBSCRIBE	1
#define MARQTT_EPT_PUBLISH		2

